Skip to main content
GET
/
api
/
v1
/
chat
/
{chat_type}
/
messages
Get chat messages
curl --request GET \
  --url https://api.hevn.finance/api/v1/chat/{chat_type}/messages \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "role": "<string>",
    "text": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "senderName": "<string>",
    "avatarUrl": "<string>",
    "documentIds": [
      "<string>"
    ]
  }
]

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Path Parameters

chat_type
enum<string>
required

Chat types exposed to end users (subset of db.ChatType).

Available options:
support,
compliance

Query Parameters

limit
integer
default:500
Required range: 1 <= x <= 1000

Response

Successful Response

id
string<uuid>
required
role
string
required
text
string
required
createdAt
string<date-time>
required
senderName
string | null
avatarUrl
string | null
documentIds
string[]